package de.kurka.gwt.exaample.mvp.client;

import com.google.gwt.app.place.Activity;
import com.google.gwt.app.place.ActivityMapper;
import com.google.gwt.app.place.Place;

import de.kurka.gwt.exaample.mvp.client.activities.AdminActivity;
import de.kurka.gwt.exaample.mvp.client.activities.AdminDisplay;
import de.kurka.gwt.exaample.mvp.client.activities.HomeActivity;
import de.kurka.gwt.exaample.mvp.client.activities.HomeDisplay;
import de.kurka.gwt.exaample.mvp.client.activities.UserActivity;
import de.kurka.gwt.exaample.mvp.client.activities.UserDisplay;
import de.kurka.gwt.exaample.mvp.client.places.AdminPlace;
import de.kurka.gwt.exaample.mvp.client.places.HomePlace;
import de.kurka.gwt.exaample.mvp.client.places.UserPlace;

public class CenterActivityMapper implements ActivityMapper {

	@Override
	public Activity getActivity(Place place) {

		if (place instanceof HomePlace) {
			return new HomeActivity(new HomeDisplay());
		}

		if (place instanceof AdminPlace) {
			return new AdminActivity(new AdminDisplay());
		}

		if (place instanceof UserPlace)
			return new UserActivity(new UserDisplay());

		return null;
	}

}
