package de.kurka.gwt.exaample.mvp.client.activities;

import com.google.gwt.event.dom.client.HasClickHandlers;
import com.google.gwt.user.client.ui.Button;
import com.google.gwt.user.client.ui.HTML;
import com.google.gwt.user.client.ui.VerticalPanel;
import com.google.gwt.user.client.ui.Widget;

public class NavDisplay implements NavActivity.NavDisplay {

	private VerticalPanel main;
	private Button home;
	private Button admin;
	private Button user;

	public NavDisplay() {
		main = new VerticalPanel();

		main.add(new HTML("Navigation"));

		home = new Button("Home");
		main.add(home);

		admin = new Button("Admin");
		main.add(admin);

		user = new Button("User");
		main.add(user);
	}

	@Override
	public Widget asWidget() {
		return main;
	}

	@Override
	public HasClickHandlers getAdminButton() {
		return admin;
	}

	@Override
	public HasClickHandlers getHomePlace() {
		return home;
	}

	@Override
	public HasClickHandlers getUserButton() {
		return user;
	}

}
